org.hibernate.validator.internal.xml

## Class ConstructorType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ConstructorType

-     public class ConstructorType
      extends Object

  Java class for constructorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="constructorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="parameter" type="{http://jboss.org/xml/ns/javax/validation/mapping}parameterType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cross-parameter" type="{http://jboss.org/xml/ns/javax/validation/mapping}crossParameterType" minOccurs="0"/>
               <element name="return-value" type="{http://jboss.org/xml/ns/javax/validation/mapping}returnValueType" minOccurs="0"/>
             </sequence>
             <attribute name="ignore-annotations" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CrossParameterType` | `crossParameter`
    `protected Boolean` | `ignoreAnnotations`
    `protected List<ParameterType>` | `parameter`
    `protected ReturnValueType` | `returnValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrossParameterType` | `getCrossParameter()` Gets the value of the crossParameter property.
    `Boolean` | `getIgnoreAnnotations()` Gets the value of the ignoreAnnotations property.
    `List<ParameterType>` | `getParameter()` Gets the value of the parameter property.
    `ReturnValueType` | `getReturnValue()` Gets the value of the returnValue property.
    `void` | `setCrossParameter(CrossParameterType value)` Sets the value of the crossParameter property.
    `void` | `setIgnoreAnnotations(Boolean value)` Sets the value of the ignoreAnnotations property.
    `void` | `setReturnValue(ReturnValueType value)` Sets the value of the returnValue property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameter

          protected List<ParameterType> parameter

    - #### crossParameter

          protected CrossParameterType crossParameter

    - #### returnValue

          protected ReturnValueType returnValue

    - #### ignoreAnnotations

          protected Boolean ignoreAnnotations

  - ### Constructor Detail

    - #### ConstructorType

          public ConstructorType()

  - ### Method Detail

    - #### getParameter

          public List<ParameterType> getParameter()

      Gets the value of the parameter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameter property.

      For example, to add a new item, do as follows:

              getParameter().add(newItem);

      Objects of the following type(s) are allowed in the list `ParameterType`

    - #### getCrossParameter

          public CrossParameterType getCrossParameter()

      Gets the value of the crossParameter property.
      Returns:
        possible object is `CrossParameterType`

    - #### setCrossParameter

          public void setCrossParameter(CrossParameterType value)

      Sets the value of the crossParameter property.
      Parameters:
        `value` - allowed object is `CrossParameterType`

    - #### getReturnValue

          public ReturnValueType getReturnValue()

      Gets the value of the returnValue property.
      Returns:
        possible object is `ReturnValueType`

    - #### setReturnValue

          public void setReturnValue(ReturnValueType value)

      Sets the value of the returnValue property.
      Parameters:
        `value` - allowed object is `ReturnValueType`

    - #### getIgnoreAnnotations

          public Boolean getIgnoreAnnotations()

      Gets the value of the ignoreAnnotations property.
      Returns:
        possible object is `Boolean`

    - #### setIgnoreAnnotations

          public void setIgnoreAnnotations(Boolean value)

      Sets the value of the ignoreAnnotations property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved